Subject: bug#29676: closed (Re: bug#29676: Guix test failure on tests/store.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 03 Feb 2018 00:15:02 +0000

Your bug report

#29676: Guix test failure on tests/store.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29676: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29676
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29676: Guix test failure on tests/store.
From: Roel Janssen <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: [email-masked]
Date: Sat, 03 Feb 2018 01:13:52 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Ludovic Courtès writes:

> Hello,
>
> Roel Janssen <[email-masked]> skribis:
>
>> ==24971== 4,104 bytes in 1 blocks are possibly lost in loss record 351 of 365
>> ==24971==    at 0x4C2AAD6: malloc (in /gnu/store/18w3ykyqkcq5zp1qx17qhamkxlczzl0n-valgrind-3.12.0/lib/valgrind/vgpreload_memcheck-amd64-linux.so)
>> ==24971==    by 0x4E719E3: sqlite3MemMalloc (in /gnu/store/6d4ihp7xbdh3a0ffbpm5n45q4v3w0l35-sqlite-3.19.3/lib/libsqlite3.so.0.8.6)
>> ==24971==    by 0x4E4DB8B: sqlite3Malloc (in /gnu/store/6d4ihp7xbdh3a0ffbpm5n45q4v3w0l35-sqlite-3.19.3/lib/libsqlite3.so.0.8.6)
>> ==24971==    by 0x4E51316: pcache1Alloc (in /gnu/store/6d4ihp7xbdh3a0ffbpm5n45q4v3w0l35-sqlite-3.19.3/lib/libsqlite3.so.0.8.6)
>> ==24971==    by 0x4E6E71A: sqlite3BtreeCursor (in /gnu/store/6d4ihp7xbdh3a0ffbpm5n45q4v3w0l35-sqlite-3.19.3/lib/libsqlite3.so.0.8.6)
>> ==24971==    by 0x4EA9053: sqlite3VdbeExec (in /gnu/store/6d4ihp7xbdh3a0ffbpm5n45q4v3w0l35-sqlite-3.19.3/lib/libsqlite3.so.0.8.6)
>> ==24971==    by 0x4EB271E: sqlite3_step (in /gnu/store/6d4ihp7xbdh3a0ffbpm5n45q4v3w0l35-sqlite-3.19.3/lib/libsqlite3.so.0.8.6)
>> ==24971==    by 0x4EB34D1: sqlite3_exec (in /gnu/store/6d4ihp7xbdh3a0ffbpm5n45q4v3w0l35-sqlite-3.19.3/lib/libsqlite3.so.0.8.6)
>> ==24971==    by 0x426886: nix::LocalStore::openDB(bool) (local-store.cc:293)
>> ==24971==    by 0x42BEF4: nix::LocalStore::LocalStore(bool) (local-store.cc:169)
>> ==24971==    by 0x40A356: acceptConnection(int)::{lambda()#1}::operator()() const (nix-daemon.cc:755)
>> ==24971==    by 0x40E16B: std::_Function_handler<void (), acceptConnection(int)::{lambda()#1}>::_M_invoke(std::_Any_data const&) (functional:1871)
>
> I suspect these “possibly lost” reports are false alarms.
>
> Anyway, there’s no “invalid read” or “invalid write” report, which is
> what we were looking for.  :-/
>
> Thanks,
> Ludo’.

So it seems that this issue has resolved itself.  Notably, this bug
disappeared after a software update on the storage system that provides
the /gnu filesystem mount (NFS).

So this makes me think that it wasn't a problem in the guix-daemon.

Kind regards,
Roel Janssen

Subject: Guix test failure on tests/store.
From: Roel Janssen <[email-masked]>
To: [email-masked]
Date: Tue, 12 Dec 2017 13:12:04 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix,

I built Guix on our cluster (from commit 8be84d3), and the test suite
fails for "tests/store".

I attached the build log.  The relevant bit is this:

actual-error:
+ (srfi-34
+   #<condition &nix-protocol-error [message: "path `dtmp/guix-tests/store/462z3fnl7bs44vp9s97jyg1z74nsfvly-tar' is not in the Nix store" status: 1] 1071090>)
result: FAIL

Does this mean I have an inconsistency in the store?

Kind regards,
Roel Janssen